6 berichten aan het bekijken - 1 tot 6 (van in totaal 6)
  • Q:
    Bijdrager
    Sumar

    Mysql & PHP handmatig installeren.

    Na eerst wat gespeeld te hebben met WebserverXkit wou ik MySql en PHP 5 standaard installeren. Dat je dan af en toe voor vreemde dingen komt te staan moge duidelijk zijn.

    Na eerst een dump van de databases gemaakt te hebben ben ik aan de slag gegaan.

    mysql 5.0.45 en PHP 5.2.2 opgehaald en neergezet. Dat ging allemaal zonder problemen totdat ik ermee ging werken -))

    PhpMyAdmin 2.11.0 begon al direct te klagen dat de client versie van PHP lager was dan de MySql versie en dat dat problemen ging opleveren. Nou, dat klopte wel.. Heel veel tabellen hadden een wat vreemde inhoud.

    Ik moest terug naar Mysql 5.0.24a maar dat gaat niet zomaar: je kan niet even in terminal die mappen wissen. Na wat spitwerk blijkt er op http://www.entropy.ch/software/MacOSx/mysql/remove-old-mysql.html een script te staan waarmee je Mysql kunt verwijderen. Je moet het wel aanpassen, want versie 5 staat er niet in.

    Op http://downloads.mysql.com/archives.php staan gelukkig alle oude versie van mysql dus het ophalen en installeren was zo gebeurd.

    Om de commandline tools aan de praat te krijgen moet er nog een ding gebeuren (kwam ik ook pas achter na veel zoeken): in de terminal nano ~/.bash_profile intikken en dan toevoegen PATH=”$PATH:/usr/local/mysql/bin/” (inclusief de “) .

    Bijdrager
    Jordgubb

    Ik maak gebruik van MAMP, ben hier erg tevreden over.

    http://www.mamp.info/en/mamp.html

    Have a look.

    Bijdrager
    Sumar

    De bedoeling was juist om geen alles-in-een pakket aan de praat te krijgen, maar alles los te installeren.

    Geblokkeerd
    Geanonimiseerde gebruiker

    Wat is de vraag?

    Bijdrager
    Sumar

    Het was geen vraag, maar gewoon een melding in de hoop dat iemand er iets aan heeft.

    Geblokkeerd
    Geanonimiseerde gebruiker

    Nou dan hoef ik ook geen antwoord te geven.:)

6 berichten aan het bekijken - 1 tot 6 (van in totaal 6)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.